FreeMat

- Main Page
- Related Pages

vtkInitialValueProblemSolver

Section: Visualization Toolkit Common Classes

# Usage

Given a vtkFunctionSet which returns dF_i(x_j, t)/dt given x_j and t, vtkInitialValueProblemSolver computes the value of F_i at t+deltat.

To create an instance of class vtkInitialValueProblemSolver, simply invoke its constructor as follows

      obj = vtkInitialValueProblemSolver

# Methods

The class vtkInitialValueProblemSolver has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkInitialValueProblemSolver class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkInitialValueProblemSolver = obj.NewInstance ()`
- `vtkInitialValueProblemSolver = obj.SafeDownCast (vtkObject o)`
- `obj.SetFunctionSet (vtkFunctionSet functionset)` - Set / get the dataset used for the implicit function evaluation.
- `vtkFunctionSet = obj.GetFunctionSet ()` - Set / get the dataset used for the implicit function evaluation.
- `int = obj.IsAdaptive ()`